View Issue Details

IDProjectCategoryView StatusLast Update
0007142GNUnetDHT servicepublic2022-02-26 23:10
Reporterschanzen Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionGit master 
Target Version0.16.0Fixed in Version0.16.0 
Summary0007142: DHT find peer route option required?
DescriptionIt seems like setting the route option FIND_PEER implicitly sets to block type to HELLO.
Why is not the hello block itself the FIND_PEER mechanism?
Is there really a use case for GET/PUTs of HELLOs directly?
It seems like the handling of the flag makes processing needlessly complicated and is also a source of confusion for a user of the API (or the flag).
Tagslsd0004

Activities

schanzen

2022-01-05 12:25

manager   ~0018626

We should rename the flag to FIND_APPROXIMATE and modify the code to allow other block types and not implicitly assume HELLO.
This allows specific use cases where the key is not a hash, but an identifier that is comparable (using a xor distance).

schanzen

2022-01-05 12:30

manager   ~0018627

Limits on distances may be specified using the xquery

Christian Grothoff

2022-02-23 23:34

manager   ~0018716

Fix committed to master branch.

Christian Grothoff

2022-02-23 23:34

manager   ~0018717

c18963a..d79fc21 adds text to LSD0004 clarifying the use case of xquery to filter on approximate queries.

Christian Grothoff

2022-02-23 23:36

manager   ~0018718

d79fc21..2b38786 makes _distance_ filter more explicit.

schanzen

2022-02-26 23:10

manager   ~0018721

0.16.0 released

Related Changesets

lsd0004: master d79fc21d

2022-02-23 23:34:08

Christian Grothoff

Details Diff
-document use of xquery for filtering for approximate queries, fixes 0007142; other minor edits/clarifications Affected Issues
0007142
mod - draft-schanzen-r5n.xml Diff File

Issue History

Date Modified Username Field Change
2022-01-03 21:13 schanzen New Issue
2022-01-03 21:13 schanzen Status new => assigned
2022-01-03 21:13 schanzen Assigned To => Christian Grothoff
2022-01-03 21:13 schanzen Tag Attached: lsd0004
2022-01-05 12:25 schanzen Note Added: 0018626
2022-01-05 12:30 schanzen Note Added: 0018627
2022-02-23 23:34 Christian Grothoff Changeset attached => lsd0004 master d79fc21d
2022-02-23 23:34 Christian Grothoff Note Added: 0018716
2022-02-23 23:34 Christian Grothoff Status assigned => resolved
2022-02-23 23:34 Christian Grothoff Resolution open => fixed
2022-02-23 23:34 Christian Grothoff Note Added: 0018717
2022-02-23 23:36 Christian Grothoff Note Added: 0018718
2022-02-23 23:36 Christian Grothoff Product Version => Git master
2022-02-23 23:36 Christian Grothoff Fixed in Version => 0.16.0
2022-02-23 23:36 Christian Grothoff Target Version => 0.16.0
2022-02-26 23:10 schanzen Note Added: 0018721
2022-02-26 23:10 schanzen Status resolved => closed